{% unless auto_load %}
  {% assign auto_load = false %}
{% endunless %}

<div class="container">
  <div class="pagination">
    {% if infinity == blank %}
      {% comment %} CONFIG {% endcomment %}
      {% if params_search and params_search != blank %}
        {% assign template_pagination = 'busca?q=' | append: params_search | append: '&'  %}
      {% elsif params_page and params_page != blank %}
        {% assign template_pagination = 'p/' | append: params_page.slug | append: '?'  %}
      {% else %}
        {% assign template_pagination = tag_name | append: '?' %}
      {% endif %}

      {% if pagination.total_pages > 1 %}

        {% comment %} ASSIGN PREV PAGES {% endcomment %}
        {% assign page_number_prev = pagination.current_page | minus: 1 %}
        {% assign page_url_prev = pagination.prev_url | replace: '+', '%20' | replace: '%5D', ']' | replace: '%5B', '['%}
        {% assign page_string_prev = 'page=' | append: page_number_prev %}

        {% assign page_number_prevprev = page_number_prev | minus: 1 %}
        {% assign page_string_prevprev = 'page=' | append: page_number_prevprev %}
        {% assign page_url_prevprev = pagination.prev_url | replace: page_string_prev, page_string_prevprev | replace: '+', '%20' | replace: '%5D', ']' | replace: '%5B', '[' %}

        {% comment %} ASSIGN NEXT PAGES {% endcomment %}
        {% assign page_number_next = pagination.current_page | plus: 1 %}
        {% assign page_url_next = pagination.next_url | replace: '+', '%20' | replace: '%5D', ']' | replace: '%5B', '[' %}
        {% assign page_string_next = 'page=' | append: page_number_next %}

        {% assign page_number_nextnext = page_number_next | plus: 1 %}
        {% assign page_string_nextnext = 'page=' | append: page_number_nextnext %}
        {% assign page_url_nextnext = pagination.next_url | replace: page_string_next, page_string_nextnext | replace: '+', '%20' | replace: '%5D', ']' | replace: '%5B', '[' %}

        {% comment %} ASSIGN LAST PAGES {% endcomment %}
        {% assign page_last_prev = pagination.total_pages | minus: 1 %}
        {% assign page_last = pagination.total_pages %}
        {% assign page_last_next = pagination.total_pages | plus: 1 %}

        {% comment %} PREV ARROW {% endcomment %}
        {% if pagination.prev_url and pagination.current_page != 1 %}
          <a class="anchor -prev" href="{{ pagination.prev_url | replace: '+', '%20' | replace: '%5D', ']' | replace: '%5B', '[' }}">
            
            <svg class="icon" fill="none" viewbox="0 0 8 14">
              <path d="M7 12.8242L1 6.82422L7 0.824219" stroke-linecap="round" stroke-linejoin="round" stroke="currentColor"/>
            </svg>

          </a>
        {% endif %}

        {% comment %} FIRST {% endcomment %}
        {% if pagination.current_page >= 4 %}
          {% assign current_page_string = 'page=' | append: pagination.current_page %}
          {% assign first_page_string = current_url | replace: current_page_string, 'page=1' %}
          <a class="anchor -page" href="{{ first_page_string }}">
            1
          </a>
        {% endif %}

        {% comment %} PREV DOTS {% endcomment %}
        {% if page_number_prevprev >= 3 %}
          <span class="span -index">
            ...
          </span>
        {% endif %}

        {% unless pagination.current_page == 5 %}
          {% comment %} PREV PAGES {% endcomment %}
          {% if page_number_prevprev >= 1 %}
            <a class="anchor -page" href="{{ page_url_prevprev }}">
              {{ page_number_prevprev }}
            </a>
          {% endif %}
        {% endunless %}

        {% if page_number_prev >= 1 %}
          <a class="anchor -page" href="{{ page_url_prev }}">
            {{ page_number_prev }}
          </a>
        {% endif %}

        {% comment %} CURRENT PAGE {% endcomment %}
        <span class="span -current">{{ pagination.current_page }}</span>

        {% comment %} NEXT PAGES {% endcomment %}
        {% if page_number_next <= page_last %}
          <a class="anchor -page" href="{{ page_url_next }}">
            {{ page_number_next }}
          </a>
        {% endif %}

        {% comment %} NEXT DOTS {% endcomment %}
        {% assign total_left_pages = page_last | minus: pagination.current_page %}
        {% if page_number_nextnext <= page_last and total_left_pages != 4 %}
          <a class="anchor -page" href="{{ page_url_nextnext }}">
            {{ page_number_nextnext }}
          </a>
        {% endif %}
        
        {% comment %} NEXT DOTS {% endcomment %}
        {% unless page_number_nextnext >= page_last %}
          {% assign remaining_pages = page_last | minus: page_number_nextnext %}
          {% if pagination.total_pages > 5 and remaining_pages > 1 %}
            <span class="span -index">
              ...
            </span>
          {% endif %}
        {% endunless %}

        {% comment %} LAST {% endcomment %}
        {% assign verification = pagination.total_pages | minus: 3 %}
        {% if pagination.current_page <= verification %}
          {% assign current_page_string = 'page=' | append: pagination.current_page %}
          {% if current_url contains 'page=' %}
            {% assign last_page_number = 'page=' | append: pagination.total_pages %}
            {% assign last_page_string = current_url | replace: current_page_string, last_page_number %}
          {% else %}
            {% if current_url contains '?' %}
              {% assign last_page_number = '&page=' | append: pagination.total_pages %}
            {% else %}
              {% assign last_page_number = '?page=' | append: pagination.total_pages | append: '&' %}
            {% endif %}
            {% assign last_page_string = current_url | append: last_page_number %}
          {% endif %}
          <a class="anchor -page" href="{{ last_page_string }}">
            {{ pagination.total_pages }}
          </a>
        {% endif %}

        {% comment %} NEXT ARROW {% endcomment %}
        {% if pagination.next_url and pagination.current_page != pagination.total_pages %}
          <a class="anchor -next" href="{{ pagination.next_url | replace: '+', '%20' | replace: '%5D', ']' | replace: '%5B', '[' }}">
            <svg class="icon" fill="none" viewbox="0 0 8 14">
              <path d="M1 12.8242L7 6.82422L1 0.824219" stroke-linecap="round" stroke-linejoin="round" stroke="currentColor"/>
            </svg>
          </a>
        {% endif %}
      {% endif %}
    {% elsif infinity %}
      <script>
      var arrPages = [];
      {% for arr_pages in pagination.pages %}
        arrPages.push({
          url: "{{ arr_pages.url | replace: 'http://', 'https://' }}",
          number: {{ arr_pages.number }}
        })
      {% endfor %}
    
      window._pagination = {
        totalPages: {{ pagination.total_pages }},
        currentPage: 1,
        prevPage: false,
        nextPage: true,
        pages: arrPages,
        prevUrl: '{{ pagination.prev_url | replace: "http://", "https://" }}',
        nextUrl: '{{ pagination.next_url | replace: "http://", "https://" }}',
        autoLoad: {{ auto_load }}
      }
    </script>

      <button aria-label="Carregar mais produtos" class="button-default" data-load-more type="button">
        VEJA MAIS +
      </button>
    {% endif %}
  </div>
</div>
